/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, {Component} from 'react';
import ExpansionPanels from '../Components/ExpansionPanels'
import Grid from '@material-ui/core/Grid';
import Banner1 from "../img/termos/banner.jpg";
import Modal from '../Components/Modal'


const bannerStyle={
  width: "100%",
  backgroundImage: `url(${Banner1})`,
  backgroundSize: "cover",
  backgroundPosition: "topCenter",
  height: "370px",

  verticalAlign: "middle"


}
const center={
  width: "100%",
  textAlign: "center"
}
const container={
  paddingInline: "15px",
  paddingBlock: "20px",
  marginInline: "auto",
  textAlign:"center",
  width:"750px"

}
const secao2={
  height: "100%",
  alignItems: "center",
  paddingBlock: "30px"
}





class UserTerms extends Component {
    render() {
      return (
        <div>

          <div style = {bannerStyle}>
            <h2 style={{width: "100%",textAlign: "center",marginTop:"0px", paddingTop:"9rem",fontSize:"52px"}}>TERMOS DE USO</h2>
            <Modal/>
          </div>

          <div style= {secao2}>
            <div style = {container}>
              <h3 style= {{textAlign: "center",fontWeight: "normal"}}><strong>Plataforma Integrada de Recursos Educacionais Digitais,</strong><br/>uma iniciativa do Ministério da Educação!</h3>

              <p style={{textAlign:"justify"}}>A <strong>Plataforma Integrada de RED do MEC</strong> é parte do processo de implementação do Compromisso 6 do <a href="http://www.governoaberto.cgu.gov.br/noticias/2017/3o-plano-de-acao-nacional-na-parceria-para-governo-aberto" target="_blank">3º Plano de Ação da Parceria Governo Aberto</a> (OGP-Brasil), que tem por objetivo “incorporar na política educacional o potencial da cultura digital, de modo a fomentar a autonomia para uso, reuso e adaptação de recursos educacionais digitais, valorizando a pluralidade e a diversidade da educação brasileira”.
              </p>
              <p style={{textAlign:"justify"}}>Seguindo o compromisso, a <strong>Plataforma Integrada de RED do MEC</strong> visa fortalecer a distribuição de recursos educacionais digitais para o ensino básico brasileiro. Há preferência pela disponibilização de Recursos Educacionais Abertos (REA), ou seja, recursos que “se situem no domínio público ou que tenham sido divulgados sob licença aberta que permita acesso, uso, adaptação e redistribuição gratuita por terceiros, mediante nenhuma restrição ou poucas restrições.” <a href="http://www.unesco.org/new/fileadmin/MULTIMEDIA/HQ/CI/CI/pdf/Events/Portuguese_Paris_OER_Declaration.pdf" target="_blank">(Declaração REA de Paris, 2012)</a>.
              </p>
            </div>
          </div>

          <div style = {{background: "#ff7f00"}} >
            <h1 style = {center}>Para melhor compreensão, podemos dividir os recursos em dois tipos:</h1>
            <Grid container spacing ={3}>
              <Grid item xs={6} >
                <h2>Abertos</h2>
                  <spam >
                  De acordo com a Declaração de Paris, são recursos que, no mínimo,<br/>
                  têm uma licença de uso mais flexível, que garante livre<br/>
                  redistribuição. Adicionalmente, um recurso aberto deve utilizar um<br/>
                  formato aberto, um formato de arquivo que permite a fácil edição por<br/>
                  terceiros. Nenhum controle sobre o acesso (como cadastro e senha)<br/>
                  deve existir para acesso a recursos abertos. Em sua maioria, são<br/>
                  recursos gratuitos.
                </spam>
              </Grid>
              <Grid item xs={6}>
                <h2>Fechados</h2>
                  <spam>
                    São recursos que criam restrições no seu acesso, uso ou reuso.<br/>
                    Como exemplo, podemos mencionar recursos que só são acessíveis<br/>
                    mediante cadastro ou que têm licenças restritivas (como “todos os<br/>
                    direitos reservados”, o símbolo ©). Podem ser gratuitos ou pagos.<br/>
                  </spam>
                </Grid>
            </Grid>
          </div>

          <div>
            <p>
              O <a href="http://www.planalto.gov.br/ccivil_03/_ato2011-2014/2014/lei/l13005.htm" target="_blank">Plano Nacional de Educação</a> (2014-2024) enfatiza nas metas 5 e 7 a importância dos recursos educacionais abertos para fomentar a qualidade da educação básica. A<br/>
               <a href="http://portal.mec.gov.br/index.php?option=com_docman&view=download&alias=35541-res-cne-ces-001-14032016-pdf&category_slug=marco-2016-pdf&Itemid=30192" traget="_blank">Resolução CNE/CES nº 1</a>, de 11 de março de 2016, também destaca a importância dos recursos educacionais abertos para as instituições de educação superior e para as
              atividades de educação a distância.
            </p>


            <h1 style = {center}>TERMOS DE USO</h1>

            <h4 style ={center}>Início da vigência: agosto de 2017</h4>

            <spam>
Aqui estão os “Termos de Uso” da <strong>Plataforma Integrada de RED do MEC</strong>, isto é, as regras de funcionamento da Plataforma e seus serviços, e o que se espera de seus usuários. Por “usuário”, entende-se qualquer pessoa que acesse o domínio portal.mec.gov.br, tanto para pesquisa (acesso) como para a inclusão de dados e informações (participação) mediante cadastro.

Fazem parte dos Termos de Uso as políticas de responsabilidade, de privacidade e confidencialidade, a licença de uso do conteúdo e as informações sobre como reportar violações.

Ao utilizar a <strong>Plataforma Integrada de RED do MEC</strong>, o usuário aceita todas as condições aqui estabelecidas. O uso da <strong>Plataforma Integrada de RED do MEC</strong> implica aceite das condições aqui elencadas.

Por “serviço”, entende-se qualquer funcionalidade ou ferramenta que permita a interatividade com o usuário, como, por exemplo, usuário subir um recurso, postar um comentário, criar uma coleção ou enviar uma mensagem.

A aceitação destes "Termos de Uso" é indispensável à utilização da <strong>Plataforma Integrada de RED do MEC</strong>. Todos os usuários deverão ler, certificar-se de tê-los entendido e aceitar todas as condições neles estabelecidas. Dessa forma, deve ficar claro que a utilização desta "<strong>Plataforma Integrada de RED do MEC</strong>" implica aceitação completa deste documento intitulado Termos de Uso. Caso tenha dúvidas sobre os termos, utilize o formulário disponível em “Contato” para saná-las.

            </spam>

          </div>
          <Grid container spacing={2}>
          <Grid item xs={2}></Grid>
          <Grid item xs={8}>
          <div style={{verticalAlign: "middle"}}>
            <ExpansionPanels/>
          </div>
          </Grid>
          <Grid item xs={2}></Grid>
          </Grid>
        </div>
      );
    }
  }

export default UserTerms;
